apiVersion: apps/v1
kind: Deployment
metadata:
  labels:
    run: netbox
  name: netbox
spec:
  selector:
    matchLabels:
      run: netbox
  template:
    metadata:
      labels:
        run: netbox
    spec:
      containers:
      - image: quay.io/gravitational/netbox
        imagePullPolicy: Always
        name: netbox
      securityContext:
        runAsUser: 0
      terminationGracePeriodSeconds: 30
---
apiVersion: v1
kind: Service
metadata:
  name: hello-netbox
spec:
  ports:
  - port: 5000
    targetPort: 5000
  selector:
    run: netbox
